Bug 1271045 - [abrt] webkitgtk4: WTF::StringImpl::rawHash(): WebKitWebProcess killed by SIGSEGV
[abrt] webkitgtk4: WTF::StringImpl::rawHash(): WebKitWebProcess killed by SIG...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: webkitgtk4 (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomas Popela
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:c47eff4cd075bfba753121229d9...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-12 23:12 EDT by Rob Tomsick
Modified: 2016-03-03 22:34 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-01 19:47:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (101.17 KB, text/plain)
2015-10-12 23:12 EDT, Rob Tomsick
no flags Details
File: cgroup (190 bytes, text/plain)
2015-10-12 23:12 EDT, Rob Tomsick
no flags Details
File: core_backtrace (15.17 KB, text/plain)
2015-10-12 23:12 EDT, Rob Tomsick
no flags Details
File: dso_list (14.60 KB, text/plain)
2015-10-12 23:12 EDT, Rob Tomsick
no flags Details
File: environ (1.52 KB, text/plain)
2015-10-12 23:12 EDT, Rob Tomsick
no flags Details
File: exploitable (82 bytes, text/plain)
2015-10-12 23:12 EDT, Rob Tomsick
no flags Details
File: limits (1.29 KB, text/plain)
2015-10-12 23:12 EDT, Rob Tomsick
no flags Details
File: maps (78.57 KB, text/plain)
2015-10-12 23:12 EDT, Rob Tomsick
no flags Details
File: mountinfo (3.75 KB, text/plain)
2015-10-12 23:12 EDT, Rob Tomsick
no flags Details
File: namespaces (85 bytes, text/plain)
2015-10-12 23:12 EDT, Rob Tomsick
no flags Details
File: open_fds (3.31 KB, text/plain)
2015-10-12 23:13 EDT, Rob Tomsick
no flags Details
File: proc_pid_status (1010 bytes, text/plain)
2015-10-12 23:13 EDT, Rob Tomsick
no flags Details

  None (edit)
Description Rob Tomsick 2015-10-12 23:12:45 EDT
Version-Release number of selected component:
webkitgtk4-2.10.0-1.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/libexec/webkit2gtk-4.0/WebKitWebProcess 33
crash_function: WTF::StringImpl::rawHash
executable:     /usr/libexec/webkit2gtk-4.0/WebKitWebProcess
global_pid:     4086
kernel:         4.2.3-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 WTF::StringImpl::rawHash at /usr/src/debug/webkitgtk-2.10.0/Source/WTF/wtf/text/StringImpl.h:544
 #1 WTF::StringImpl::hasHash at /usr/src/debug/webkitgtk-2.10.0/Source/WTF/wtf/text/StringImpl.h:550
 #2 WTF::StringImpl::hash at /usr/src/debug/webkitgtk-2.10.0/Source/WTF/wtf/text/StringImpl.h:561
 #3 WTF::StringHash::hash at /usr/src/debug/webkitgtk-2.10.0/Source/WTF/wtf/text/StringHash.h:65
 #4 WTF::IdentityHashTranslator<WTF::StringHash>::hash<WTF::String> at /usr/src/debug/webkitgtk-2.10.0/Source/WTF/wtf/HashTable.h:283
 #5 WTF::HashTable<WTF::String, WTF::KeyValuePair<WTF::String, WebCore::CachedResourceHandle<WebCore::CachedResource> >, WTF::KeyValuePairKeyExtractor<WTF::KeyValuePair<WTF::String, WebCore::CachedResourceHandle<WebCore::CachedResource> > >, WTF::StringHash, WTF::HashMap<WTF::String, WebCore::CachedResourceHandle<WebCore::CachedResource>, WTF::StringHash, WTF::HashTraits<WTF::String>, WTF::HashTraits<WebCore::CachedResourceHandle<WebCore::CachedResource> > >::KeyValuePairTraits, WTF::HashTraits<WTF::String> >::lookup<WTF::IdentityHashTranslator<WTF::StringHash>, WTF::String> at /usr/src/debug/webkitgtk-2.10.0/Source/WTF/wtf/HashTable.h:599
 #6 WTF::HashTable<WTF::String, WTF::KeyValuePair<WTF::String, WebCore::CachedResourceHandle<WebCore::CachedResource> >, WTF::KeyValuePairKeyExtractor<WTF::KeyValuePair<WTF::String, WebCore::CachedResourceHandle<WebCore::CachedResource> > >, WTF::StringHash, WTF::HashMap<WTF::String, WebCore::CachedResourceHandle<WebCore::CachedResource>, WTF::StringHash, WTF::HashTraits<WTF::String>, WTF::HashTraits<WebCore::CachedResourceHandle<WebCore::CachedResource> > >::KeyValuePairTraits, WTF::HashTraits<WTF::String> >::lookup at /usr/src/debug/webkitgtk-2.10.0/Source/WTF/wtf/HashTable.h:409
 #7 WTF::HashMap<WTF::String, WebCore::CachedResourceHandle<WebCore::CachedResource>, WTF::StringHash, WTF::HashTraits<WTF::String>, WTF::HashTraits<WebCore::CachedResourceHandle<WebCore::CachedResource> > >::get at /usr/src/debug/webkitgtk-2.10.0/Source/WTF/wtf/HashMap.h:351
 #8 WebCore::CachedResourceLoader::cachedResource at /usr/src/debug/webkitgtk-2.10.0/Source/WebCore/loader/cache/CachedResourceLoader.cpp:158
 #9 WebCore::InspectorPageAgent::cachedResource at /usr/src/debug/webkitgtk-2.10.0/Source/WebCore/inspector/InspectorPageAgent.cpp:260
Comment 1 Rob Tomsick 2015-10-12 23:12:49 EDT
Created attachment 1082211 [details]
File: backtrace
Comment 2 Rob Tomsick 2015-10-12 23:12:50 EDT
Created attachment 1082212 [details]
File: cgroup
Comment 3 Rob Tomsick 2015-10-12 23:12:51 EDT
Created attachment 1082213 [details]
File: core_backtrace
Comment 4 Rob Tomsick 2015-10-12 23:12:52 EDT
Created attachment 1082214 [details]
File: dso_list
Comment 5 Rob Tomsick 2015-10-12 23:12:53 EDT
Created attachment 1082215 [details]
File: environ
Comment 6 Rob Tomsick 2015-10-12 23:12:55 EDT
Created attachment 1082216 [details]
File: exploitable
Comment 7 Rob Tomsick 2015-10-12 23:12:56 EDT
Created attachment 1082217 [details]
File: limits
Comment 8 Rob Tomsick 2015-10-12 23:12:57 EDT
Created attachment 1082218 [details]
File: maps
Comment 9 Rob Tomsick 2015-10-12 23:12:58 EDT
Created attachment 1082219 [details]
File: mountinfo
Comment 10 Rob Tomsick 2015-10-12 23:12:59 EDT
Created attachment 1082220 [details]
File: namespaces
Comment 11 Rob Tomsick 2015-10-12 23:13:00 EDT
Created attachment 1082221 [details]
File: open_fds
Comment 12 Rob Tomsick 2015-10-12 23:13:01 EDT
Created attachment 1082222 [details]
File: proc_pid_status
Comment 13 Michael Catanzaro 2016-03-01 19:47:07 EST
Crash server thinks this is fixed in 2.10.2.

I think it's a dumb crash server, because we have a grand total of one report ever, there's no way that no further reports is any indication that it's fixed... but I think it's sufficiently-low priority to not bother with any more.

Note You need to log in before you can comment on or make changes to this bug.